import { LibrariesIOHeaders, LibrariesIOResult, PaginationOptions, PlatformType, PreReleaseOptions, Subscription } from '../interfaces/';
import { RequestService } from '../RequestService';
export declare class UserAPI {
    private readonly requestService;
    constructor(requestService: RequestService);
    getSubscription(platform: PlatformType, projectName: string): Promise<LibrariesIOResult<Subscription | null>>;
    getAllSubscriptions(options?: PaginationOptions): Promise<LibrariesIOResult<Subscription[]>>;
    subscribe(platform: PlatformType, projectName: string, options?: PreReleaseOptions): Promise<LibrariesIOResult<Subscription>>;
    unsubscribe(platform: PlatformType, projectName: string): Promise<LibrariesIOHeaders>;
    updateSubscription(platform: PlatformType, projectName: string, options?: PreReleaseOptions): Promise<LibrariesIOResult<Subscription>>;
}
