"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Endpoints_1 = require("../Endpoints");
var UserAPI = (function () {
    function UserAPI(requestService) {
        this.requestService = requestService;
    }
    UserAPI.prototype.getSubscription = function (platform, projectName) {
        var endpoint = Endpoints_1.Endpoint.subscriptions(platform, projectName);
        return this.requestService.get(endpoint);
    };
    UserAPI.prototype.getAllSubscriptions = function (options) {
        var endpoint = Endpoints_1.Endpoint.subscriptions();
        return this.requestService.get(endpoint, options);
    };
    UserAPI.prototype.subscribe = function (platform, projectName, options) {
        var endpoint = Endpoints_1.Endpoint.subscriptions(platform, projectName);
        return this.requestService.post(endpoint, options);
    };
    UserAPI.prototype.unsubscribe = function (platform, projectName) {
        var endpoint = Endpoints_1.Endpoint.subscriptions(platform, projectName);
        return this.requestService.delete(endpoint);
    };
    UserAPI.prototype.updateSubscription = function (platform, projectName, options) {
        var endpoint = Endpoints_1.Endpoint.subscriptions(platform, projectName);
        return this.requestService.put(endpoint, options);
    };
    return UserAPI;
}());
exports.UserAPI = UserAPI;
//# sourceMappingURL=UserAPI.js.map